/*
 *  Project-08
 *
 *  Author: M. Reza Mozaffari
 *  Physics Group, University of Qom
 *  Created on: Jan. 2021
 */

#include <cstdio>
#include <iostream>

using namespace std;

#include "complex.h"

int main()
{
    complex z1;
    z1.print();
    //    print(z1);

    z1.set_real(2.);
    z1.set_imag(1.);
    print(z1);
    
    complex z2(1., 2.);
    z2.print();
    //    print(z2);
    //    cout << z2.get_real() << "\n";
    //    cout << z2.get_imag() << "\n";

    complex z3;
    z3 = conj(z1);
    print(z3);
    cout << z3.norm() << "\n";
    cout << norm(z3) << "\n";
    cout << z3.arg() << "\n";
    cout << arg(z3) << "\n";
    
    complex z4;
    z4 = z3.power(0);
    z4.print();
    
    printf("\n\nThe End!\n");
    return 0;
}
